/* Copyright 2008-2011 Research Foundation State University of New York   */

/* This file is part of QUB Express.                                      */

/* QUB Express is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Express is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Express program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef QUB_CLICKMAP_H
#define QUB_CLICKMAP_H

#include "qubfast.h"

#ifdef __cplusplus
extern "C" {
#endif

QUBFAST_API void * qub_dotmap_create(int Ndata, float *xx, float *yy);
QUBFAST_API void qub_dotmap_free(void *dotmap);
QUBFAST_API void qub_dotmap_reset(void *dotmap, int Ndata, float *xx, float *yy);
QUBFAST_API int qub_dotmap_find(void *dotmap, float x, float y, float rad);
QUBFAST_API int qub_dotmap_in_rect(void *dotmap, float x0, float y0, float x1, float y1, int *indices);

#ifdef __cplusplus
}
#endif

#endif

